Page MenuHomePhabricator

[GlobalISel] Handle multiple registers in dbg.value intrinsic
ClosedPublic

Authored by peterwaller-arm on Aug 12 2019, 3:01 AM.

Details

Summary

The value passed into dbg.value may relate to multiple registers, each
of which need a DBG_VALUE.

This fix calls MIRBuilder.buildDirectDbgValue for each register.

Without this, IR passed in from flang-compiler/flang may fail an
assertion in getOrCreateVReg.

Diff Detail

Event Timeline

aemerson added inline comments.Aug 14 2019, 10:39 AM
llvm/test/CodeGen/Generic/DbgValueAggregate.ll
2

Can you add a target triple here instead of relying on the default. I assume this triggered on AArch64?

peterwaller-arm marked an inline comment as done.

Add target triple to test.

Updated for code review comment.

This revision is now accepted and ready to land.Aug 19 2019, 10:34 AM

I do not have submit permissions, please can someone submit on my behalf?

I do not have submit permissions, please can someone submit on my behalf?

I can submit for you.

I do not have submit permissions, please can someone submit on my behalf?

I can submit for you.

Committed revision 369403

aemerson closed this revision.Aug 20 2019, 10:11 AM